## ros-jazzy-cv-bridge 4.1.0

=== debian/changelog ===
ros-jazzy-cv-bridge (4.1.0-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 18 Apr 2024 16:00:00 -0000

ros-jazzy-cv-bridge (4.0.0-1bookworm) bookworm; urgency=high

  * Decode images in mode IMREAD_UNCHANGED (#520 <https://github.com/ros-perception/vision_opencv/issues/520>)
  * Remove header files that were deprecated in I-turtle (#517 <https://github.com/ros-perception/vision_opencv/issues/517>)
  * Fixed converstion for 32FC1 (#514 <https://github.com/ros-perception/vision_opencv/issues/514>)
  * Allow users to override encoding string in ROSCvMatContainer (#505 <https://github.com/ros-perception/vision_opencv/issues/505>)
  * Ensure dynamic scaling works when given matrix with inf, -inf and nan values. (#498 <https://github.com/ros-perception/vision_opencv/issues/498>)
  * Add new CMake option CV_BRIDGE_DISABLE_PYTHON to cv_bridge to disable building Python support if desired (#494 <https://github.com/ros-perception/vision_opencv/issues/494>)
  * Contributors: Alejandro Hernández Cordero, Christian Rauch, Kenji Brameld, Lightech, Yadunund, ijnek

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 12 Apr 2024 16:00:00 -0000

ros-jazzy-cv-bridge (3.4.0-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2022 16:00:00 -0000

ros-jazzy-cv-bridge (3.3.1-1bookworm) bookworm; urgency=high

  * export rclcpp as dependency (#491 <https://github.com/ros-perception/vision_opencv/issues/491>)
  * silence dperecation warnings using boost macros (#478 <https://github.com/ros-perception/vision_opencv/issues/478>)
  * Contributors: Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 20 Sep 2022 16:00:00 -0000

ros-jazzy-cv-bridge (3.3.0-1bookworm) bookworm; urgency=high

  * Add apache license and bsd license, because both are used. (#479 <https://github.com/ros-perception/vision_opencv/issues/479>)
  * Remove opencv2.cpp and rename opencv3.cpp to opencv4.cpp (#480 <https://github.com/ros-perception/vision_opencv/issues/480>)
  * Deprecate .h files in favor of .hpp headers (#448 <https://github.com/ros-perception/vision_opencv/issues/448>)
  * Reorganize author tag (#460 <https://github.com/ros-perception/vision_opencv/issues/460>)
  * Add colormap argument to python wrapper (#452 <https://github.com/ros-perception/vision_opencv/issues/452>)
  * Fix 16U encoding type (#459 <https://github.com/ros-perception/vision_opencv/issues/459>)
  * Add type adapter for cv::Mat (#441 <https://github.com/ros-perception/vision_opencv/issues/441>)
  * Update maintainers (#451 <https://github.com/ros-perception/vision_opencv/issues/451>)
  * Fix ModuleNotFoundError: No module named 'cv_bridge' error (#444 <https://github.com/ros-perception/vision_opencv/issues/444>)
  * Make python3-opencv from test_depend to depend tag in package.xml (#439 <https://github.com/ros-perception/vision_opencv/issues/439>)
  * Contributors: Daisuke Nishimatsu, Kenji Brameld, Marcel Zeilinger, RachelRen05

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 13 Sep 2022 16:00:00 -0000

ros-jazzy-cv-bridge (3.0.3-1bookworm) bookworm; urgency=high

  * Add missing dependency on rcpputils (#427 <https://github.com/ros-perception/vision_opencv/issues/427>)
  * Contributors: Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 31 Mar 2022 16:00:00 -0000

ros-jazzy-cv-bridge (3.0.2-1bookworm) bookworm; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Find Python3 if not on Android (#423 <https://github.com/ros-perception/vision_opencv/issues/423>)
  * Forward ports from noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * Add header arg to cv2_to_imgmsg (#326 <https://github.com/ros-perception/vision_opencv/issues/326>)
    * prevent conversion of single channel 16bit integer images to/from colour (#412 <https://github.com/ros-perception/vision_opencv/issues/412>)
  * Contributors: Chris Lalancette, Christian Rauch, Michael Carroll, Naoya Yamaguchi, Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 26 Jan 2022 16:00:00 -0000

ros-jazzy-cv-bridge (3.0.1-1bookworm) bookworm; urgency=high

  * Use Boost::python3 if Boost < 1.67 (#422 <https://github.com/ros-perception/vision_opencv/issues/422>)
  * Use Boost::pythonXY target (#421 <https://github.com/ros-perception/vision_opencv/issues/421>)
  * Contributors: Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 24 Jan 2022 16:00:00 -0000

ros-jazzy-cv-bridge (3.0.0-1bookworm) bookworm; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * Handle padded img msg in Python (#400 <https://github.com/ros-perception/vision_opencv/issues/400>)
  * Remove boost endian (#399 <https://github.com/ros-perception/vision_opencv/issues/399>)
  * Add conversions from YUV422 YUY2 (#396 <https://github.com/ros-perception/vision_opencv/issues/396>)
  * fix endianness comparison (#397 <https://github.com/ros-perception/vision_opencv/issues/397>)
  * Export sensor_msgs dependency (#392 <https://github.com/ros-perception/vision_opencv/issues/392>)
  * Fix multiple undefined references (#370 <https://github.com/ros-perception/vision_opencv/issues/370>)
  * Updated cv_bridge.dll install location. (#356 <https://github.com/ros-perception/vision_opencv/issues/356>)
  * Contributors: Homalozoa X, Jacob Perron, Patrick Musau, Sean Yen, Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 18 Jan 2022 16:00:00 -0000

ros-jazzy-cv-bridge (2.2.1-1bookworm) bookworm; urgency=high

  * Align module.hpp with noetic (#342 <https://github.com/ros-perception/vision_opencv/issues/342>)
  * Contributors: Michael Carroll

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 15 Jul 2020 16:00:00 -0000

ros-jazzy-cv-bridge (2.2.0-1bookworm) bookworm; urgency=high


